function [ Kl,Cl,Ml ] = elmt12( local_data )
%elmt11: 1-D Bar element for 2nd order and first order PDE in x1
% (Spring element, linear flow element, etc.)
%
%Element subroutine to construct local stiffness matrix from local data
%
%  local_data.mater = [elt# Diffusion coeff Area Capacitance Advective vel prop5 ] For material type
%
%  local_data.coords = [ x1 of node 1;
%                        x1 of node 2]
%
%  local_data.dofs   = [ dof1 dof2 ] Global dof referenced to local dofs
%
  Kl = zeros(2,2)
  Cl = zeros(2,2)
  Ml = zeros(2,2)
%
  cond   = ;
  area   = ;
  capacitance = ;
  vel         = ;
  length = ;
%-------------------------------- Evaluate matrix coefficients
%-------------------------------- Evaluate diffusive term
    coef   = ;
    Kl = ;
%-------------------------------- Evaluate advective term
    coef   = area * vel /2
    Kl = 

%-------------------------------- Evaluate capacitance matrix
  Cl = (area*length*capacitance/2) * [ 1 0; 0 1 ];
